<template>
  <div class="QualitySafetyNew">

    <div class="topBtnRow">
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 1 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(1)">
        质量</div>
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 2 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(2)">
        安全</div>
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 3 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(3)">
        建筑工地</div>
    </div>

    <div class="content">
      <div class="content1" v-show="active == 1">
        <div class="dataForm">
          <div class="littleTitle">
            <span>质量问题整改统计</span>
          </div>
          <div class="form">
            <div class="form_row" v-for="(item, index) in formData1" :key="index">
              <div class="form_row_left">{{ item.key }}</div>
              <div class="form_row_right">{{ item.value }}</div>
            </div>
          </div>
        </div>

        <div class="dataForm">
          <chart :optionIn="option1" />
        </div>

        <div class="dataForm">
          <div class="dataForm">
            <div class="littleTitle">
              <span>质量问题督办统计</span>
            </div>
            <div class="form">
              <div class="form_row" v-for="(item, index) in formData2" :key="index">
                <div class="form_row_left">{{ item.key }}</div>
                <div class="form_row_right">{{ item.value }}</div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="content1" v-show="active == 2">
        <div class="dataForm">
          <div class="littleTitle">
            <span>安全问题整改统计</span>
          </div>
          <div class="form">
            <div class="form_row" v-for="(item, index) in formData1" :key="index">
              <div class="form_row_left">{{ item.key }}</div>
              <div class="form_row_right">{{ item.value }}</div>
            </div>
          </div>
        </div>

        <div class="dataForm">
          <chart :optionIn="option2" />
        </div>

        <div class="dataForm">
          <div class="dataForm">
            <div class="littleTitle">
              <span>安全问题督办统计</span>
            </div>
            <div class="form">
              <div class="form_row" v-for="(item, index) in formData2" :key="index">
                <div class="form_row_left">{{ item.key }}</div>
                <div class="form_row_right">{{ item.value }}</div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="content2" v-show="active == 3">
        <div class="part" v-for="(item, index) in formData3" :key="index" @click="clickPart(item)">
          <img :src="item.img" alt="" width="68.5" height="60">
          <div class="text">
            <div class="text1">{{ item.number }}</div>
            <div class="text2">{{ item.typeName }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import chart from "./chart.vue"
export default {
  name: "",
  components: {
    chart
  },
  data() {
    return {
      showPoint: false,
      coverImgUrl: require('@/assets/img/topBtnBackActive.png'),
      uncoverImgUrl: require('@/assets/img/topBtnBack.png'),
      active: 1,
      formData1: [
        {
          key: '问题总数',
          value: '26'
        },
        {
          key: '问题关闭数',
          value: '20'
        },
        {
          key: '未关闭数',
          value: '2'
        },
        {
          key: '未关闭数(预期)',
          value: '4'
        },
        {
          key: '问题关闭率',
          value: '76.9%'
        },
        {
          key: '问题及时关闭率',
          value: '84.6%'
        },
      ],
      formData2: [
        {
          key: '问题总数',
          value: '26'
        },
        {
          key: '问题关闭数',
          value: '20'
        },
        {
          key: '未关闭数',
          value: '2'
        },
        {
          key: '未关闭数(预期)',
          value: '4'
        },
        {
          key: '问题关闭率',
          value: '76.9%'
        },
        {
          key: '问题及时关闭率',
          value: '84.6%'
        },
      ],
      formData3: [
        {
          img: require('@/assets/img/视频监控.png'),
          number: 88,
          typeName: '视频监控'
        },
        {
          img: require('@/assets/img/信号,信号塔,基站.png'),
          number: 112,
          typeName: '塔基监控'
        },
        {
          img: require('@/assets/img/配电箱.png'),
          number: 11,
          typeName: '配电箱监控'
        },
        {
          img: require('@/assets/img/车辆监控实心.png'),
          number: 0,
          typeName: '车辆监控'
        },

        {
          img: require('@/assets/img/环境.png'),
          number: 8,
          typeName: '环境检测'
        },
        {
          img: require('@/assets/img/污水.png'),
          number: 1,
          typeName: '废水检测'
        },
        {
          img: require('@/assets/img/深基坑监测.png'),
          number: 4,
          typeName: '基坑检测'
        },
        {
          img: require('@/assets/img/mts-ai 视频AI.png'),
          number: 3,
          typeName: 'AI视频监控'
        },

        {
          img: require('@/assets/img/升降机.png'),
          number: 27,
          typeName: '升降机监控'
        },
        {
          img: require('@/assets/img/边坡监测.png'),
          number: 1,
          typeName: '边坡检测'
        },
        {
          img: require('@/assets/img/高支模监测.png'),
          number: 2,
          typeName: '高支模检测'
        },
        {
          img: require('@/assets/img/广播.png'),
          number: 0,
          typeName: '智能广播'
        },
      ],

      option1: {
        color: ['#82f8f7', '#bdc8e0', '#0091f6'],

        tooltip: {
          confine: true,
          trigger: 'item',
          formatter: '{b} : {c}'
        },

        series: [
          {
            avoidLabelOverlap: false,
            type: 'pie',
            roseType: 'area', // 玫瑰图
            center: ['50%', '50%'],
            radius: ['0%', '50%'],
            label: {
              normal: {
                textStyle: {
                  color: "#ffffff",
                  fontSize: '9px'
                }
              }
            },
            labelLine: {
              normal: {
                length: 5,
                length2: 5
              }
            },
            data: [{
              name: '未关闭数',
              value: 50
            }, {
              name: '关闭数',
              value: 40
            }, {
              name: '问题关闭数',
              value: 60
            }]
          }
        ]
      },
      option2: {
        color: ['#82f8f7', '#bdc8e0', '#0091f6'],

        tooltip: {
          confine: true,
          trigger: 'item',
          formatter: '{b} : {c}'
        },

        series: [
          {
            avoidLabelOverlap: false,
            type: 'pie',
            roseType: 'area', // 玫瑰图
            center: ['50%', '50%'],
            radius: ['0%', '50%'],
            label: {
              normal: {
                textStyle: {
                  color: "#ffffff",
                  fontSize: '9px'
                }
              }
            },
            labelLine: {
              normal: {
                length: 5,
                length2: 5
              }
            },
            data: [{
              name: '未关闭数',
              value: 50
            }, {
              name: '关闭数',
              value: 40
            }, {
              name: '问题关闭数',
              value: 60
            }]
          }
        ]
      }
    }
  },
  methods: {
    clickBtn(index) {
      this.active = index
      this.$nextTick(() => [
        window.dispatchEvent(new Event('resize'))//初始化echarts
      ])

    },

    clickPart(item) {
      if (item.typeName == '基坑检测') {
        if (!this.showPoint) {
          $("#point_1").show();
          $("#point_2").show();
          $("#point_3").show();
          $("#point_4").show();
          this.showPoint = true
        } else {
          $("#point_1").hide();
          $("#point_2").hide();
          $("#point_3").hide();
          $("#point_4").hide();
          $('#panel_1').hide()
          this.showPoint = false
        }
        
      }
    },
    LocationFire() {
      this.rightIsOn = true;
      let f1 = [108.76470408820056, 34.248674650536785, 4.143296105436552];
      let f2 = [108.7647382587621, 34.248121284516614, 8.356996003434741];
      let f3 = [108.76512050587583, 34.248279543285015, 61.84841522399157];
      let f4 = [108.76481908236079, 34.24888976090979, 39.79521919746933];
      let treeNode = {};
      treeNode.flyTo = [
        108.76474342994061, 34.2484604509997, 109.27621910550947,
        2.237041973676008, -0.2115434399485434, 0.000008635394220135595,
      ];
      // sgworld.Navigate.flyToPointsInterest({
      //   destination: Cesium.Cartesian3.fromDegrees(
      //     treeNode.flyTo[0],
      //     treeNode.flyTo[1],
      //     treeNode.flyTo[2]
      //   ),
      //   orientation: {
      //     heading: treeNode.flyTo[3],
      //     pitch: treeNode.flyTo[4],
      //     roll: treeNode.flyTo[5],
      //   },
      // });

      this.f1Point(f1, 1);
      this.f1Point(f2, 2);
      this.f1Point(f3, 3);
      this.f1Point(f4, 4);


      // setTimeout(()=>{
      // },1000)
    },
    f1Point(f1, name) {
      let des = '<img class="part_box_main_pic" id="point_' + name + '" src="' + SmartEarthRootUrl + 'Workers/image/mark1.png" style="display: none" alt="" />'
      let vl = sgworld.Creator.createDivPoint("视频点位", {
        lon: f1[0],
        lat: f1[1],
        height: f1[2],
      }, {
        type: "custom",
        offset: ["c", 0],
        far: 2000,
        description: des,
        onclick(data) {
          $('#panel_1').is(':hidden') ? $('#panel_1').show() : $('#panel_1').hide()
        },
      });
      let tooltip = sgworld.Core.CreateResultTooltip(Viewer, {
        color: 'black',
        addY: -68, addX: 30,
        far: 1000,
        closeBtn: false
      });
      let htmlstr = `<div style='width:350px;height:130px;display: none' id="panel_1">

              <span style="font-size: 15px;background-color: blue">危险源详情</span>
              <p>项目名称：华侨城一期项目</p>
              <p>实施部位：3#基坑</p>
              <p>风险点：基坑工程》开挖深度超过5米的土方支护</p>
              <p>状态：已激活</p>
              <p>预计关闭时间：2023-01-29</p>
              <p>责任人：张明明</p>
              <p>联系方式：18373643221</p>
              </div>`;

      tooltip.showAt(
        Cesium.Cartesian3.fromDegrees(f1[0], f1[1], f1[2]),
        htmlstr
      );

    },
  },
  mounted() {
    this.$nextTick(() => {
      this.LocationFire();
    });
  },

}
</script>

<style scoped lang="scss">
.QualitySafetyNew {
  position: relative;
  width: 100%;

  .topBtnRow {
    display: flex;
    flex-direction: row;
    align-items: center;
    pointer-events: all;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 6px;

    .topBtn {
      height: 33px;
      width: 200px;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      font-size: 11px;
      color: #e0e5fa;
      cursor: pointer;

      background-image: url("~@/assets/img/topBtnBack.png");
      background-repeat: no-repeat;
      background-size: 100% 100%;
    }
  }

  .content {
    height: 210px;
    width: 100%;
    margin-top: 10px;

    .content1 {
      height: 100%;
      width: 100%;
      display: flex;
      flex-direction: row;
      align-items: center;

      .dataForm {
        position: relative;
        flex: 1;
        height: 100%;
        display: flex;
        flex-direction: column;

        .littleTitle {
          position: absolute;
          top: 10px;
          left: 10px;
          width: 227px;
          height: 27.5px;
          margin-left: 20px;

          background-image: url("~@/assets/img/littleTitle.png");
          background-repeat: no-repeat;
          background-size: 100% 100%;

          font-size: 13px;
          font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
          color: #ffffff;
          letter-spacing: 0.52px;
          text-shadow: 0px 2px 0px 0px rgba(0, 8, 10, 0.46);
          display: flex;
          flex-direction: row;
          align-items: center;

          span {
            margin-left: 26px;
          }
        }

        .form {
          display: flex;
          flex-direction: column;
          margin-top: 42px;
          margin-left: 20px;

          .form_row {
            display: flex;
            flex-direction: row;
            align-items: center;

            .form_row_left {
              color: #e0e5fa;
              width: 100px;
              text-align: right;
              font-size: 12px;
              font-family: Microsoft YaHei, Microsoft YaHei-Regular;
              font-weight: 400;
              color: #ffffff;
              letter-spacing: 0.12px;
            }

            .form_row_right {
              margin-left: 16px;
              color: #e0e5fa;
              font-size: 21px;
              font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
              font-weight: 400;
              color: #45CDFF;
            }

          }
        }

      }


    }

    .content2 {
      height: 100%;
      width: 100%;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      flex-wrap: wrap;

      .part {
        width: 136px;
        height: 60px;
        display: flex;
        flex-direction: row;
        align-items: center;
        cursor: pointer;

        .text {
          display: flex;
          flex-direction: column;
          align-items: center;

          .text1 {
            font-size: 22.5px;
            font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
            font-weight: 400;
            color: #fefefe;
            letter-spacing: 1.12px;
            text-shadow: 0px 1.5px 12px 0px rgba(0, 29, 45, 0.53);
          }

          .text2 {
            opacity: 0.8;
            font-size: 11px;
            font-family: Source Han Sans CN, Source Han Sans CN-Regular;
            font-weight: 400;
            color: #ffffff;
            letter-spacing: 1.1px;
            text-shadow: 0px 1.5px 0.98px 0.03px rgba(0, 14, 17, 0.19);
          }
        }
      }
    }
  }
}

.chart {
  height: 100%;
  width: 100%;
}
</style>